#!/bin/sh
DN=$(cd "${0%/*}" && pwd)

unset NEW CONF_FILE

while getopts c:v:i: c ; do
  case $c in
    c) CONF_FILE=$OPTARG ;;
    v) NEW=$OPTARG ;;
    i) INITIAL_VERSION=$OPTARG ;;
  esac
done

grep -q '^APACHE_CONF=.*/' "$CONF_FILE" 2>/dev/null || exit 0

INITIAL_VERSION=`expr $INITIAL_VERSION + 0 2>/dev/null`
[ ${#INITIAL_VERSION} -gt 18 ] && INITIAL_VERSION=0

UNLIMITED=unlimited-$INITIAL_VERSION

export OFS=$IFS
IFS='\\'
for i in `awk -F= '/^APACHE_CONF=/{print $2}' < $CONF_FILE` ; do
  [ -f "$i".$UNLIMITED ] && cat "$i".$UNLIMITED > "$i" || {
    [ "$NEW" != new -a -f "$i".$UNLIMITED-new ] && cat "$i".$UNLIMITED-new > "$i"
  }
done
IFS=$OFS

exit 0
