use strict;
use Test::Simple tests => 4;
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Core::API::Error qw (ExistsError );
use DE_EPAGES::Core::API::MP3 qw( TestMP3 );

sub Main {
    # correct mp3
    eval {
        TestMP3('ok.mp3', 'MP3/ok.mp3');
    };
    ok( !ExistsError(), "Valid mp3 file without error" );
    eval {
        TestMP3('ok.mp3', 'MP3/noid3.mp3');
    };
    ok( !ExistsError(), "Valid mp3 file without error" );

    # broken mp3 file
    eval {
        TestMP3('broken.mp3', 'MP3/broken.mp3');
    };
    ok( ExistsError(), "Broken mp3 file throws error" );

    # image file renamed to ".mp3"
    eval {
        TestMP3('renamedimage.mp3', 'MP3/renamedimage.mp3');
    };
    ok( ExistsError(), "Invalid mp3 file throws error" );
}

RunScript(Sub=>\&Main);
