#!perl -w
use strict;
use Test::More tests => 2;
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Presentation::Servlet::Permission;

RunScript( Sub => \&Main );

sub Main {

    my %Map = (
        'http://www.sfont.cat/epages/ec1358.sf' => 'http://www.sfont.cat/epages/ec1358.mobile',
        'https://www.sfont.cat/epages/ec1358.sf/test?a=b' => 'https://www.sfont.cat/epages/ec1358.mobile/test?a=b',
    );

    foreach my $URL (keys %Map) {
        my $ExpectedURL = $Map{$URL};
        is( DE_EPAGES::Presentation::Servlet::Permission->mobileURL($URL), $ExpectedURL, $URL );
    }
}

