## no critic(RequireCorrectImports)
## no critic(ProtectPrivateSubs)
use strict;
use warnings;
use Test::More;
use DE_EPAGES::SipsAtos::API::Attributes::PaymentMethodSipsAtos;

BEGIN { # make package alias
    *Sips:: = *DE_EPAGES::SipsAtos::API::Attributes::PaymentMethodSipsAtos:: ;
}

my $WebRoot         = '/WebRoot';

if ( $^O eq 'MSWin32' ) {
    my $shoppath = 'C:\epages\Shared\Stores/Store/Shops/DemoShop';
    my $shopexp  = $shoppath;
    $shopexp =~ tr#/#\\#;
    $shopexp .= '\\';
    my $itempath = '4E52/2FD6/1A52/2E94/B1DC/C0A8/0283/DCE0';
    my $itemexp = $itempath;
    $itemexp =~ tr#/#\\#;
    $itemexp .= '\\';
    my $cont = Sips::_pathfileContent( $WebRoot, $shoppath, "$shoppath/$itempath" );
    diag $cont;
    my @m;

    @m = $cont =~ qr/D_LOGO!(.*)!$/m;
    is $1, "$WebRoot/SF/SipsAtos/logo/", 'D_LOGO';

    @m = $cont =~ qr/D_PARM!(.*)!$/m;
    is $1, $shopexp, 'D_PARM';

    @m = $cont =~ qr/F_DEFAULT!D_PARM!(.*)parmcom.defaut!$/m,
    is $1, $itemexp, 'F_DEFAULT';

    @m = $cont =~ qr/F_PARAM!D_PARM!(.*)parmcom!$/m,
    is $1, $itemexp, 'F_PARAM';

    @m = $cont =~ qr/F_CERTIFICATE!D_PARM!(.*)certif!$/m;
    is $1, $itemexp, 'F_CERTIFICATE';
}
else {
    ok 1, 'Vivat Bill Gates!';
}

done_testing;
