#!/bin/env bash

# exit unless files $1 and $2 differ

sort $1 | uniq > /tmp/up1.~$$~
sort $2 | uniq > /tmp/up2.~$$~

diff -q /tmp/up1.~$$~ /tmp/up2.~$$~
RET=$?

rm -f /tmp/up1.~$$~ /tmp/up2.~$$~
[[ $RET -eq 0 ]] && exit 0

# exit unless /etc/yum.repos.d/epages-update.repo exist

REPO=/etc/yum.repos.d/epages-update.repo
[[ -f $REPO ]] || exit 0

# exit unless ini-config.sh is executable

[[ -x $EPAGES/bin/ini-config.sh ]] || exit 0

$EPAGES/bin/ini-config.sh -f $REPO -s epages-update -k enabled -v 0 -i

exit 0
