#!/bin/env bash

ls $1 >/dev/null || exit 1

MY_USER=$($EPAGES/bin/ini-config.sh -f $1 -s UNIX -k mysql_unix_user -g)
MY_USER=${MY_USER:-mysql}
MY_GROUP=$($EPAGES/bin/ini-config.sh -f $1 -s UNIX -k mysql_unix_group -g)
MY_GROUP=${MY_GROUP:-mysql}

# add ep_appl and eprunapp to group $MY_GROUP
for i in ep_appl ${EPAGES_APPUSER:-eprunapp} ; do
  grep -q "^$MY_GROUP:" /etc/group || continue
  MEMBERS=$(awk -F: '{if ($1 == "'$MY_GROUP'") {print $4; exit 0}}' /etc/group)
  MEMBERS=${MEMBERS:+$MEMBERS,}
  if [[ ",$MEMBERS" !=  *",$i,"* ]] ; then
    echo "-> add $i to group $MY_GROUP"
    cp -p /etc/group /etc/group.~$$~ || exit 1
    sed "s/^\($MY_GROUP:.*:\).*/\1$MEMBERS$i/" /etc/group.~$$~ > /etc/group || exit 1
  fi
done
rm -f /etc/group.~$$~

# add $MY_USER to group epages
grep -q '^epages:' /etc/group || exit 0
MEMBERS=$(awk -F: '{if ($1 == "epages") {print $4; exit 0}}' /etc/group)
MEMBERS=${MEMBERS:+$MEMBERS,}
if [[ ",$MEMBERS" !=  *",$MY_USER,"* ]] ; then
  echo "-> add $MY_USER to group epages"
  cp -p /etc/group /etc/group.~$$~ || exit 1
  sed "s/^\(epages:.*:\).*/\1${MEMBERS}$MY_USER/" /etc/group.~$$~ > /etc/group || exit 1
fi
rm -f /etc/group.~$$~

if [[ -f /etc/sysconfig/epages6 && $MY_USER != mysql ]] ; then
  grep -q '^EPAGES_INSTALL_MYSQL_UNIX_USER=' /etc/sysconfig/epages6 \
  || grep -q EPAGES_INSTALL_MYSQL_UNIX_USER=$MY_USER /etc/sysconfig/epages6 \
  || echo EPAGES_INSTALL_MYSQL_UNIX_USER=$MY_USER >> /etc/sysconfig/epages6
fi

if [[ -f /etc/sysconfig/epages6 && $MY_GROUP != mysql ]] ; then
  grep -q '^EPAGES_INSTALL_MYSQL_UNIX_GROUP=' /etc/sysconfig/epages6 \
  || grep -q EPAGES_INSTALL_MYSQL_UNIX_GROUP=$MY_GROUP /etc/sysconfig/epages6 \
  || echo EPAGES_INSTALL_MYSQL_UNIX_GROUP=$MY_GROUP >> /etc/sysconfig/epages6
fi
